var AJAX_REUQEST = null;

jQuery(document).ready(function() {
	if(jQuery("#create_product").length != 0) {
        jQuery(".loader_area").show(); 
        jQuery(window).load(function() {        
              jQuery(".loader_area").hide();  
        });
    }    
    	
    if (jQuery("#is_migration").length > 0) {
        jQuery(".shirtee-container section .container a,.shirtee-container select").addClass("disabled");
        jQuery(".shirtee-container input").attr("disabled", "disabled");
        jQuery(".shirtee-container .shirtee_advanced input").attr("disabled", false);
    } else {
        jQuery("#product_type").select2();
    }

    if (jQuery("#adminmenu .toplevel_page_shirtee-products").hasClass('wp-has-current-submenu')) {
        var href = jQuery("#adminmenu .toplevel_page_shirtee-products .wp-submenu a.current").attr("href");
        jQuery(".shirtee-container .header-wrapper .menu a").each(function(){
            if (jQuery(this).attr("href") == href) {
                jQuery(this).addClass("active");
                return false;
            }
        });
        jQuery("#adminmenu .toplevel_page_shirtee-products .wp-menu-image img").attr("src", shirtee_vars.PLUGIN_URL+"/assets/img/favicon_white.png");
    }
    
    /* Help Guide Navigation Start */
    jQuery(document).on("click", ".naccs .hmenu div", function() {
        var numberIndex = jQuery(this).index();
        if (!jQuery(this).is("active")) {
            jQuery(".naccs .hmenu div").removeClass("active");
            jQuery(".naccs ul.nacc > li").removeClass("active");
            jQuery(this).addClass("active");
            jQuery(".naccs ul.nacc > li:eq(" + numberIndex + ")").addClass("active");
            //.find("li:eq(" + numberIndex + ")")
            var listItemHeight = jQuery(".naccs ul.nacc > li:eq(" + numberIndex + ")").innerHeight();
            //.find("li:eq(" + numberIndex + ")")
            jQuery(".naccs ul.nacc").height(listItemHeight + "px");
        }
    });
    /* Help Guide Navigation End */

    /*jQuery("#register").on("click", function() {
        jQuery(".login_page").css({
            "visibility": "hidden",
            "display": "none",
            "opacity": 0
        });
        jQuery(".register_page").css({
            "visibility": "visible",
            "display": "block",
            "opacity": 1
        });
    });*/

    jQuery("#login").on("click", function() {
        jQuery(".register_page").css({
            "visibility": "hidden",
            "display": "none",
            "opacity": 0
        });
        jQuery(".login_page").css({
            "visibility": "visible",
            "display": "block",
            "opacity": 1
        });
    });

    /* Login to Shirtee Start */
    jQuery("#import-login").on("click", function() {
        jQuery(".loader_area").show();
        jQuery("#shirtee-username-error").hide();
        jQuery("#shirtee-pass-error").hide();
        var username = jQuery("#shirtee_uname").val();
        var password = jQuery("#shirtee_pass").val();
        var type     = jQuery("#shirtee-login-form #type").val();
        var auth     = jQuery("#auth").val();
        if (username == '') {
            jQuery("#shirtee_uname").focus()
            jQuery("#shirtee-username-error").show();
            jQuery(".loader_area").hide();
            return false;
        }
        var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,7})?$/;
        var data = emailReg.test(username);
        if (!data) {
            jQuery("#shirtee_uname").focus()
            jQuery("#shirtee-username-error").show();
            jQuery(".loader_area").hide();
            return false;
        }
        if (password == '') {
            jQuery("#shirtee_pass").focus()
            jQuery("#shirtee-pass-error").show();
            jQuery(".loader_area").hide();
            return false;
        }
        AJAX_REUQEST = jQuery.ajax({
            type: "POST",
            url: shirtee_vars.ADMIN_URL,
            data: {
                action   : shirtee_vars.LOGIN_TO_SHIRTEE,
                username : username,
                password : password,
                type     : type,
                auth     : auth,
            },
            success: function(res) {
                jQuery(".loader_area").hide();
                jQuery.notify({
                    position: 3,
                    type: res['status'],
                    message: res['msg'],
                    autoClose: true,
                    duration: 5000,
                });
                if (res['status'] == 'success') {
                    setTimeout(function() {
                        location.reload();
                    }, 5000)
                } else {
                    jQuery("#shirtee_uname").val('');
                    jQuery("#shirtee_pass").val('');
                    jQuery("#shirtee_uname").focus();
                }
            },
            error: function(jqXHR) {
                jQuery(".loader_area").hide();
                jQuery.notify({
                    position: 3,
                    type: 'warn',
                    message: jqXHR.responseText,
                    autoClose: true,
                    duration: 5000,
                });
            }
        });
    });
    /* Login to Shirtee End */

    /* Login to Shirtee Start */
    jQuery("#import-register").on("click", function() {
        jQuery(".loader_area").show();
        jQuery("#shirtee-fname-error,#shirtee-lname-error,#shirtee-email-error-register,#shirtee-pass-error-register").hide();
        var first_name = jQuery("#first_name").val();
        var last_name  = jQuery("#last_name").val();
        var email      = jQuery("#register_email").val();
        var password   = jQuery("#password").val();
        var type       = jQuery("#shirtee-register-form #register_type").val();
        var auth       = jQuery("#auth").val();
        if (first_name == '') {
            jQuery("#first_name").focus()
            jQuery("#shirtee-fname-error").show();
            jQuery(".loader_area").hide();
            return false;
        }
        if (last_name == '') {
            jQuery("#last_name").focus()
            jQuery("#shirtee-lname-error").show();
            jQuery(".loader_area").hide();
            return false;
        }
        var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,8})?$/;
        var data = emailReg.test(email);
        if (email == '') {
            jQuery("#register_email").focus()
            jQuery("#shirtee-email-error-register").show();
            jQuery(".loader_area").hide();
            return false;
        } else if (!data) {
            jQuery("#register_email").focus()
            jQuery("#shirtee-email-error-register").show();
            jQuery(".loader_area").hide();
            return false;
        }
        if (password == '') {
            jQuery("#password").focus()
            jQuery("#shirtee-pass-error-register").show();
            jQuery(".loader_area").hide();
            return false;
        }
        AJAX_REUQEST = jQuery.ajax({
            type: "POST",
            url: shirtee_vars.ADMIN_URL,
            data: {
                action     : shirtee_vars.LOGIN_TO_SHIRTEE,
                first_name : first_name,
                last_name  : last_name,
                email      : email,
                password   : password,
                type       : type,
                auth       : auth,
            },
            success: function(res) {
                jQuery(".loader_area").hide();
                jQuery.notify({
                    position: 3,
                    type: res['status'],
                    message: res['msg'],
                    autoClose: true,
                    duration: 5000,
                });
                if (res['status'] == 'success') {
                    setTimeout(function() {
                        location.reload();
                    }, 5000)
                } else {
                    jQuery("#shirtee_uname").val('');
                    jQuery("#shirtee_pass").val('');
                    jQuery("#shirtee_uname").focus();
                }
            },
            error: function(jqXHR) {
                jQuery(".loader_area").hide();
                jQuery.notify({
                    position: 3,
                    type: 'warn',
                    message: jqXHR.responseText,
                    autoClose: true,
                    duration: 5000,
                });
            }
        });
    });
    /* Login to Shirtee End

    /* Resend email to start */
    var counter = 0;
    jQuery("#email-resend").on("click", function() {
        jQuery(".loader_area").show();
        var resend_email = jQuery("#resend_email").val();

            AJAX_REUQEST = jQuery.ajax({
            type: "POST",
            url: shirtee_vars.ADMIN_URL,
            data: {
                action       : shirtee_vars.EMAIL_RESEND,
                resend_email : resend_email,
                counter      : counter,
            },
            success: function(res) {
                jQuery(".loader_area").hide();
                jQuery.notify({
                    position: 3,
                    type: res['status'],
                    message: res['msg'],
                    autoClose: true,
                    duration: 5000,
                });
                if (res['status'] == 'success') {
                    setTimeout(function() {
                        location.reload();
                    }, 5000)
                } 
            },
            error: function(jqXHR) {
                jQuery(".loader_area").hide();
                jQuery.notify({
                    position: 3,
                    type: 'warn',
                    message: jqXHR.responseText,
                    autoClose: true,
                    duration: 5000,
                });
            }
        });
       
        counter++;
    });
    /* Resend email to start */

    /* Change registration to start*/

    jQuery("#change-registration").on("click", function() {
        jQuery(".loader_area").show();
        var change_registration = jQuery("#change_registration").val();

            AJAX_REUQEST = jQuery.ajax({
            type: "POST",
            url: shirtee_vars.ADMIN_URL,
            data: {
                action       : shirtee_vars.CHANGE_REGISTRATION,
                change_registration : change_registration,
            },
            success: function(res) {
                jQuery(".loader_area").hide();
                jQuery.notify({
                    position: 3,
                    type: res['status'],
                    message: res['msg'],
                    autoClose: true,
                    duration: 5000,
                });
                if (res['status'] == 'success') {
                    setTimeout(function() {
                        location.reload();
                    }, 5000)
                }
            },
            error: function(jqXHR) {
                jQuery(".loader_area").hide();
                jQuery.notify({
                    position: 3,
                    type: 'warn',
                    message: jqXHR.responseText,
                    autoClose: true,
                    duration: 5000,
                });
            }
        });
       
        counter++;
    });

    /* Change registration to end*/

    /**/
    /* Login to Shirtee API Start */
    jQuery( "a#auth-url-acces" ).on( "click", function() {
        
        var url = jQuery(this).attr('href');
        window.location.href = url;      
        return true;
    });
    jQuery("#shirtee-login").on("click", function() {        
       // jQuery( "a#auth-url-acces" ).trigger( "click" );
      //  return false;
        jQuery(".loader_area").show();
        jQuery(".error").hide();
        jQuery("#shirtee-user-error").hide();
        jQuery("#shirtee-pswd-error").hide();
        jQuery("#shirtee-cat-error").hide();
        var username = password = '';
        if (jQuery("#username").length >= 1) {
            username = jQuery("#username").val();
            if (username == '') {
                jQuery("#shirtee_uname").focus()
                jQuery("#shirtee-user-error").show();
                jQuery(".loader_area").hide();
                return false;
            }
        }
        if (jQuery("#password").length >= 1) {
            password = jQuery("#password").val();
            if (password == '') {
                if (password_place.length != old_password.length) {
                    jQuery("#password").focus()
                    jQuery("#shirtee-pswd-error").show();
                    jQuery(".loader_area").hide();
                    return false;
                }
                password = old_password;
                
            }
        }
        var catID = jQuery("#catID").val();
        var varlimit = jQuery("#varlimit").val();
        var email = jQuery("#email").val();
        var apiauth = jQuery("#api-auth").val();
        var lang = jQuery("#implang").val();

        /* Account Information*/
        var first_name = jQuery("#first_name").val();
        var last_name = jQuery("#last_name").val();
        var company_name = jQuery("#company_name").val();
        var address = jQuery("#address").val();
        var zip_code = jQuery("#zip_code").val();
        var city = jQuery("#city").val();
        var country = jQuery("#country").val();
        var phone = jQuery("#phone").val();
        var vat_number = jQuery("#vat_number").val();
        var product_status =jQuery('#product_status option:selected').val();
        var product_swatches =jQuery('#product_swatches option:selected').val();
        var product_title_checkbox =jQuery('#product_title_checkbox:checked').val();
        var product_description_checkbox =jQuery('#product_description_checkbox:checked').val();
        var product_price_checkbox =jQuery('#product_price_checkbox:checked').val();
        var product_image_checkbox =jQuery('#product_image_checkbox:checked').val();
        var password_place = jQuery("#password").attr("placeholder");
        var old_password = jQuery("#old_password").val();

       
        if (catID == '') {
            jQuery("#catID").focus()
            jQuery("#shirtee-cat-error").show();
            jQuery(".loader_area").hide();
            return false;
        }
        if (first_name == '') {
            jQuery("#first_name").focus()
            jQuery("#shirtee-fname-error").show();
            jQuery(".loader_area").hide();
            return false;
        }
        if (last_name == '') {
            jQuery("#last_name").focus()
            jQuery("#shirtee-lname-error").show();
            jQuery(".loader_area").hide();
            return false;
        }
        if (address == '') {
            jQuery("#address").focus()
            jQuery("#shirtee-address-error").show();
            jQuery(".loader_area").hide();
            return false;
        }
        if (zip_code == '') {
            jQuery("#zip_code").focus()
            jQuery("#shirtee-zipcode-error").show();
            jQuery(".loader_area").hide();
            return false;
        }
        if (city == '') {
            jQuery("#city").focus()
            jQuery("#shirtee-city-error").show();
            jQuery(".loader_area").hide();
            return false;
        }
        if (phone == '') {
            jQuery("#phone").focus()
            jQuery("#shirtee-phone-error").show();
            jQuery(".loader_area").hide();
            return false;
        }
        if(product_status == ''){
             jQuery("#product_status").focus()
            jQuery("#shirtee-product_status-error").show();
            jQuery(".loader_area").hide();
            return false;
        }
        if (varlimit == '' || varlimit == null) {
            varlimit = '200';
        }
        if (lang == '' || lang == null) {
            lang = 'de';
        }
        AJAX_REUQEST = jQuery.ajax({
            type: "POST",
            url: shirtee_vars.ADMIN_URL,
            data: {
                action: shirtee_vars.LOGIN_SHIRTEE_API,
                username: username,
                password: password,
                catID: catID,
                varlimit: varlimit,
                email: email,
                apiauth: apiauth,
                lang: lang,
                first_name:first_name,
                last_name:last_name,
                company_name:company_name,
                address:address,
                zip_code:zip_code,
                city:city,
                country:country,
                phone:phone,
                vat_number:vat_number,
                product_status:product_status,
                product_swatches:product_swatches,
                 product_title_checkbox:product_title_checkbox,
                product_description_checkbox:product_description_checkbox,
                product_price_checkbox:product_price_checkbox,
                product_image_checkbox:product_image_checkbox
            },
            success: function(res) {
                
                jQuery(".loader_area").hide();
                jQuery.notify({
                    position: 3,
                    type: res['status'],
                    message: res['msg'],
                    autoClose: true,
                    duration: 5000,
                });                
                if (res['status'] == 'success') {
                    jQuery(".shirtee-credentials").remove();
                    jQuery( "a#auth-url-acces" ).trigger( "click" );
                } else if (res['status'] == 'error') {
                    jQuery("#password").val('');
                    jQuery(".error-api").show();
                    /*if (typeof res['fields'] != 'undefined') {
                        jQuery("#fields").html(res['fields']);
                    } else {
                        jQuery("#username").val('').focus();
                    }
                    jQuery("#password").val('');
                    jQuery("#catID").val('');
                    jQuery("#shirtee-user-error").show();
                    if (old_password == '') {
                        jQuery(".error").show();
                        jQuery("#shirtee-pswd-error").hide();
                    } else {
                        jQuery(".error").hide();
                        jQuery("#shirtee-pswd-error").show();
                    }*/                    
                }
            },
            error: function(jqXHR, exception) {
                jQuery.notify({
                    position: 3,
                    type: 'warn',
                    message: jqXHR.responseText,
                    autoClose: true,
                    duration: 5000,
                });
            }
        });
    });
    /* Login to Shirtee API End */

    /* To import data into custom table */
    jQuery('#fetch-data').on('click', function() {       
        jQuery("#all-importproduct,#all-remove").addClass("disabled_link");
        AJAX_REUQEST = jQuery.ajax({
            type: "POST",
            url: shirtee_vars.ADMIN_URL,
            data: {
                action: shirtee_vars.FETCH_DATA,
                insert: 'yes',
            },
            success: function(data) {
                if (data['status'] == 'error') {
                    jQuery.notify({
                        position: 3,
                        type: 'warn',
                        message: data['msg'],
                        autoClose: true,
                        duration: 4000,
                    });
                } else if (data != '') {
                    jQuery('#all-result').html(data);
                    if (jQuery(".inprogress-data").length >= 1) {
                        jQuery.notify({
                            position: 3,
                            type: 'info',
                            message: jQuery(".inprogress-data .pro_inprogress .loader_text").text(),
                            autoClose: true,
                            duration: 4000,
                        });                        
                    }
                }
                jQuery('.loader_area').hide();
                AJAX_REUQEST = null;
            },
            error: function() {
                jQuery('.loader_area').hide();
                AJAX_REUQEST = null;
            },
            beforeSend: function() {
                jQuery('.loader_area').show();
                if (AJAX_REUQEST != null) {
                    AJAX_REUQEST.abort();
                }
            }
        });
    });
    /* Custom table insert completed */

    /*All import check all*/
    jQuery("#all-result").delegate(".product-list-all", "click", function() {
        if (jQuery("#all-result .product-list tbody tr.records").length >= 1) {
            if (jQuery(this).is(':checked')) {
                jQuery(".single-imppro").prop('checked', true);
                jQuery("#all-importproduct,#all-remove").removeClass("disabled_link");
            } else {
                jQuery(".single-imppro").prop('checked', false);
                jQuery("#all-importproduct,#all-remove").addClass("disabled_link");
            }
        }
    });

    jQuery("#all-result").delegate(".product-list-all-publish", "click", function() { // publish check box all checked and unchecked
        if (jQuery("#all-result .product-list tbody tr.records").length >= 1) {
            if (jQuery(this).is(':checked')) {
                jQuery(".single-imppro").prop('checked', true);
                jQuery("#all-importproduct,#all-remove").removeClass("disabled_link");
                jQuery("#all-result .product-list-all").prop('checked', true);
                jQuery(".single-imppro-publish").prop('checked', true);
               
            } else {
                jQuery(".single-imppro").prop('checked', false);  
                jQuery("#all-result .product-list-all").prop('checked', false);              
                jQuery(".single-imppro-publish").prop('checked', false);
                jQuery("#all-importproduct,#all-remove").addClass("disabled_link");
            }
        }
    });

    jQuery("#all-result").delegate(".single-imppro", "click", function() {
        var length = jQuery(".single-imppro:checked").length;
        if (length <= 0) {
            jQuery("#all-importproduct,#all-remove").addClass("disabled_link");
        } else {
            jQuery("#all-importproduct,#all-remove").removeClass("disabled_link");
        }
    });

    /*ALL import data*/
    jQuery('#all-importproduct').on('click', function() {
        var product_data = [];
        jQuery('input[id^="proimp"]').each(function() {
            var servSpl = jQuery(this).attr('id').split('-');
            var product_ID = jQuery(this).val();
            if (jQuery(this).is(':checked')) {
                if (jQuery("#publish-" + servSpl[1]).is(":checked")) {
                    var publish = 1;
                } else {
                    var publish = 0;
                }
                product_data.push({
                    product_id: product_ID,
                    publish: publish,
                })
            }
        });
        if (product_data.length === 0) {
            alert("Please select all checkbox and click me again.");
            return false;
        } else {
            var uid = jQuery("#cuser").val();
            AJAX_REUQEST = jQuery.ajax({
                type: "POST",
                url: shirtee_vars.ADMIN_URL,
                data: {
                    action: shirtee_vars.INSERT_CRON,
                    product_data: product_data,
                    uid: uid,
                    type: "simple"
                },
                success: function(data) {
                    jQuery("#all-importproduct,#all-remove").addClass("disabled_link");
                    jQuery.each(data, function(key, value) {
                        if (key != 'ids') {
                            if (key == 'i_error' || key == 'u_error') {
                                var type = "warn";
                            } else {
                                var type = "info";
                            }
                            jQuery.notify({
                                position: 3,
                                type: type,
                                message: value,
                                autoClose: true,
                                duration: 4000,
                            });
                        }
                        if (key == 'ids') {
                            jQuery.each(value, function(key, val) {
                                if (jQuery("#proimp-" + val).is(":checked")) {
                                    jQuery("#data-" + val).html('<div class="inprogress"><div class="loader"></div></div>');
                                    jQuery("#publish-" + val).prop("disabled", "disabled");
                                }
                            });
                        }
                    });
                    jQuery('.loader_area').hide();
                    AJAX_REUQEST = null;
                },
                error: function() {
                    jQuery('.loader_area').hide();
                    AJAX_REUQEST = null;
                },
                beforeSend: function() {
                    jQuery('.loader_area').show();
                    if (AJAX_REUQEST != null) {
                        AJAX_REUQEST.abort();
                    }
                }
            });
        }
    });
    /*END*/

    /* Product list page searching */
    jQuery('#import-filter a').on("click", function() {
        jQuery("#all-importproduct,#all-remove").addClass("disabled_link");
        var limit = jQuery("#total-data").val();
        var searchKey = jQuery("#search-pro").val();
        var status = jQuery(this).attr("data-value");
        var product_type = jQuery("#product_type").val();
        jQuery('#import-filter a').removeClass("active");
        jQuery(this).addClass("active");
        var pagenum = 1;
        AJAX_REUQEST = jQuery.ajax({
            type: "POST",
            url: shirtee_vars.ADMIN_URL,
            data: {
                action: shirtee_vars.PRODUCT_LIST,
                limit: limit,
                search_key: searchKey,
                page_num: pagenum,
                status: status,
                product_type: product_type,
            },
            success: function(data) {
                if (status == '0') {
                    jQuery("#all-importproduct").text("Update selected products");
                } else if (status == '1') {
                    jQuery("#all-importproduct").text("Import selected products");
                } else {
                    jQuery("#all-importproduct").text("Import/Update selected products");
                }
                jQuery('#all-result').html(data);
                jQuery('.loader_area').hide();
                AJAX_REUQEST = null;
            },
            error: function() {
                jQuery('.loader_area').hide();
                AJAX_REUQEST = null;
            },
            beforeSend: function() {
                jQuery('.loader_area').show();
                if (AJAX_REUQEST != null) {
                    AJAX_REUQEST.abort();
                }
            }
        });
    });
    /* End*/

    /* Product list page searching */
    jQuery('#product_type').change(function() {
        jQuery("#all-importproduct,#all-remove").addClass("disabled_link");
        var limit = jQuery("#total-data").val();
        var searchKey = jQuery("#search-pro").val();
        var status = jQuery('#import-filter a.active').attr("data-value");
        var product_type = jQuery(this).val();
        var pagenum = 1;
        AJAX_REUQEST = jQuery.ajax({
            type: "POST",
            url: shirtee_vars.ADMIN_URL,
            data: {
                action: shirtee_vars.PRODUCT_LIST,
                limit: limit,
                search_key: searchKey,
                page_num: pagenum,
                status: status,
                product_type: product_type,
            },
            success: function(data) {
                jQuery('#all-result').html(data);
                jQuery('.loader_area').hide();
                AJAX_REUQEST = null;
            },
            error: function() {
                jQuery('.loader_area').hide();
                AJAX_REUQEST = null;
            },
            beforeSend: function() {
                jQuery('.loader_area').show();
                if (AJAX_REUQEST != null) {
                    AJAX_REUQEST.abort();
                }
            }
        });
    });
    /* End*/

    /* Product list page searching */
    jQuery('#search-pro').keyup(function() {
        jQuery("#all-importproduct,#all-remove").addClass("disabled_link");
        var limit = jQuery("#total-data").val();
        var searchKey = jQuery(this).val();
        var pagenum = 1;
        var status = jQuery('#import-filter a.active').attr("data-value");
        var product_type = jQuery("#product_type").val();
        AJAX_REUQEST = jQuery.ajax({
            type: "POST",
            url: shirtee_vars.ADMIN_URL,
            data: {
                action: shirtee_vars.PRODUCT_LIST,
                limit: limit,
                search_key: searchKey,
                page_num: pagenum,
                status: status,
                product_type: product_type,
            },
            success: function(data) {
                jQuery('#all-result').html(data);
                jQuery('.search_loader').hide();
                AJAX_REUQEST = null;
            },
            error: function() {
                jQuery('.search_loader').hide();
                AJAX_REUQEST = null;
            },
            beforeSend: function() {
                jQuery('.search_loader').show();
                if (AJAX_REUQEST != null) {
                    AJAX_REUQEST.abort();
                }
            }
        });
    });
    /* End*/

    /*Change number of lists */
    jQuery('#total-data').on('change', function() {
        jQuery("#all-importproduct,#all-remove").addClass("disabled_link");
        var limit = jQuery(this).val();
        var searchKey = jQuery("#search-pro").val();
        var status = jQuery("#import-filter a.active").attr("data-value");
        var product_type = jQuery("#product_type").val();
        var pagenum = 1;
        AJAX_REUQEST = jQuery.ajax({
            type: "POST",
            url: shirtee_vars.ADMIN_URL,
            data: {
                action: shirtee_vars.PRODUCT_LIST,
                limit: limit,
                search_key: searchKey,
                page_num: pagenum,
                status: status,
                product_type: product_type,
            },
            success: function(data) {
                jQuery('#all-result').html(data);
                jQuery('.loader_area').hide();
                AJAX_REUQEST = null;
            },
            error: function() {
                jQuery('.loader_area').hide();
                AJAX_REUQEST = null;
            },
            beforeSend: function() {
                jQuery('.loader_area').show();
                if (AJAX_REUQEST != null) {
                    AJAX_REUQEST.abort();
                }
            }
        });
    });
    /*END*/

    /* Seach Pagination */
    jQuery("#all-result").delegate("#product-pagination a.page-numbers", "click", function(e) {
        e.preventDefault();
        jQuery("#all-importproduct,#all-remove").addClass("disabled_link");
        var limit = jQuery('#total-data').val();
        var searchKey = jQuery("#search-pro").val();
        var pagenum = jQuery(this).attr("data-value");
        var status = jQuery("#import-filter a.active").attr("data-value");
        var product_type = jQuery("#product_type").val();
        AJAX_REUQEST = jQuery.ajax({
            type: "POST",
            url: shirtee_vars.ADMIN_URL,
            data: {
                action: shirtee_vars.PRODUCT_LIST,
                limit: limit,
                search_key: searchKey,
                page_num: pagenum,
                status: status,
                product_type: product_type,
            },
            success: function(data) {
                jQuery('#all-result').html(data);
                jQuery('.loader_area').hide();
                AJAX_REUQEST = null;
            },
            error: function() {
                jQuery('.loader_area').hide();
                AJAX_REUQEST = null;
            },
            beforeSend: function() {
                jQuery('.loader_area').show();
                if (AJAX_REUQEST != null) {
                    AJAX_REUQEST.abort();
                }
            }
        });
    });

    jQuery("#all-result").delegate("#product-pagination #jump_page_number", "change", function(e) {
        e.preventDefault();
        jQuery("#all-importproduct,#all-remove").addClass("disabled_link");
        var limit = jQuery('#total-data').val();
        var searchKey = jQuery("#search-pro").val();
        var pagenum = jQuery(this).val();
        var status = jQuery("#import-filter a.active").attr("data-value");
        var product_type = jQuery("#product_type").val();
        AJAX_REUQEST = jQuery.ajax({
            type: "POST",
            url: shirtee_vars.ADMIN_URL,
            data: {
                action: shirtee_vars.PRODUCT_LIST,
                limit: limit,
                search_key: searchKey,
                page_num: pagenum,
                status: status,
                product_type: product_type,
            },
            success: function(data) {
                jQuery('#all-result').html(data);
                jQuery('.loader_area').hide();
                AJAX_REUQEST = null;
            },
            error: function() {
                jQuery('.loader_area').hide();
                AJAX_REUQEST = null;
            },
            beforeSend: function() {
                jQuery('.loader_area').show();
                if (AJAX_REUQEST != null) {
                    AJAX_REUQEST.abort();
                }
            }
        });
    });
    /* End */

    jQuery("#all-result").delegate("span.display_not", "click", function() {
        jQuery("span.warning").hide();
        var id = jQuery(this).attr("id").split("-");
        jQuery("span#warning-" + id[1]).show();
    });
    jQuery("#all-result").delegate(".close_warn", "click", function() {
        var id = jQuery(this).attr("id").split("-");
        jQuery("span#warning-" + id[1]).hide();
    });
    jQuery("#all-result").delegate("a.remove", "click", function() {
        if (confirm("Are you sure you want to remove this product. It will also remove product from woocommerce.")) {
            var remove_pro = [];
            var removeID = jQuery(this).attr("id").split("-");
            remove_pro.push(removeID[1]);
            AJAX_REUQEST = jQuery.ajax({
                url: shirtee_vars.ADMIN_URL,
                type: "POST",
                data: {
                    action: shirtee_vars.REMOVE_PRODUCT,
                    id: remove_pro
                },
                success: function(data) {
                    jQuery("#all-importproduct,#all-remove").addClass("disabled_link");
                    jQuery.each(data, function(key, value) {
                        if (key == 'success') {
                            var type = "success"
                        } else {
                            var type = "error"
                        }
                        if (key != 'remove' && key != 'not') {
                            jQuery.each(value, function(subkey, subval) {
                                jQuery.notify({
                                    position: 3,
                                    type: type,
                                    message: subval,
                                    autoClose: true,
                                    duration: 4000,
                                });
                            });
                        }
                        if (key == 'remove') {
                            jQuery.each(value, function(key, val) {
                                jQuery("#remove-" + val).closest("tr.records").fadeOut(1000, "linear", function() {
                                    jQuery("#remove-" + val).closest("tr.records").remove();
                                });
                            });
                        }
                    });
                    jQuery('.loader_area').hide();
                    AJAX_REUQEST = null;
                },
                error: function(jqXHR, exception) {
                    jQuery.notify({
                        position: 3,
                        type: 'warn',
                        message: jqXHR.responseText,
                        autoClose: true,
                        duration: 5000,
                    });
                },
                beforeSend: function() {
                    jQuery('.loader_area').show();
                    if (AJAX_REUQEST != null) {
                        AJAX_REUQEST.abort();
                    }
                }
            });
        }
    });

    /* Remove Selected Products */
    jQuery("#all-remove").on("click", function() {
        var count = 0;
        var remove_pro = [];
        var product_Sku = '';
        jQuery('input[id^="proimp"]').each(function() {
            if (jQuery(this).is(':checked')) {
                var product_ID = jQuery(this).val();
                var sku = jQuery(this).closest("tr.records").find("span.tag-sapn").text();
                remove_pro.push(product_ID);
                product_Sku += sku + ",";
                count++;
            }
        });
        var string = " product";
        if (count > 1) {
            string = " products";
        }
        //var removeProducts = remove_pro.substring( 0, remove_pro.length - 1 );
        var productSku = product_Sku.substring(0, product_Sku.length - 1);
        if (remove_pro == '') {
            alert("Please select products from product list.");
            return false;
        } else {
            if (confirm("Are you sure you want to remove " + count + "( " + productSku + " )" + string + ". It will also remove" + string + " from woocommerce.")) {
                AJAX_REUQEST = jQuery.ajax({
                    type: "POST",
                    url: shirtee_vars.ADMIN_URL,
                    data: {
                        action: shirtee_vars.REMOVE_PRODUCT,
                        id: remove_pro
                    },
                    success: function(data) {
                        jQuery("#all-importproduct,#all-remove").addClass("disabled_link");
                        jQuery.each(data, function(key, value) {
                            if (key == 'success') {
                                var type = "success";
                            } else {
                                var type = "error";
                            }
                            if (key != 'remove' && key != 'not') {
                                jQuery.each(value, function(subkey, subval) {
                                    jQuery.notify({
                                        position: 3,
                                        type: type,
                                        message: subval,
                                        autoClose: true,
                                        duration: 4000,
                                    });
                                });
                            }
                            if (key == 'remove') {
                                jQuery.each(value, function(key, val) {
                                    jQuery("#proimp-" + val).closest("tr.records").fadeOut(1000, "linear", function() {
                                        jQuery("#proimp-" + val).closest("tr.records").remove();
                                    });
                                });
                            }
                        });
                        jQuery('.loader_area').hide();
                        AJAX_REUQEST = null;
                    },
                    error: function() {
                        jQuery('.loader_area').hide();
                        AJAX_REUQEST = null;
                    },
                    beforeSend: function() {
                        jQuery('.loader_area').show();
                        if (AJAX_REUQEST != null) {
                            AJAX_REUQEST.abort();
                        }
                    }
                });
            }
        }
    });

    if (jQuery(".popup").length > 0) {
        jQuery(".popup").addClass("is_active");
    }

    jQuery("#advanced_panel").on("click", function(e) {
        e.preventDefault();
        jQuery(".popup").removeClass("is_active");
        jQuery(this).closest("form").submit();
    });

    jQuery(".shirtee_popup_close").on("click", function() {
        jQuery(".popup").removeClass("is_active");
    });

});